export declare enum BadRequestTypes {
    Validation = 0,
    DbNotNullViolation = 1,
    DbCheckViolation = 2,
    DbData = 3,
    DbConstraintViolationError = 4
}
export declare enum ConflictTypes {
    DbUniqueViolation = 0,
    DbForeignKeyViolation = 1,
    UserExist = 2
}
export declare enum NotFoundTypes {
    DbNotFound = 0,
    UserNotFound = 1
}
export declare enum UnauthorizedTypes {
    TokenExpired = 0,
    DeletedUser = 1,
    BadPassword = 2
}
export declare enum HardwareTypes {
    NotConnected = 0,
    WriteError = 1
}
export interface ExceptionBody {
    message: string;
    type: BadRequestTypes | ConflictTypes | NotFoundTypes | UnauthorizedTypes | HardwareTypes | null;
    code: number;
}
