import { Role } from './model/User';
export declare enum Action {
    see = 0,
    crud = 1
}
export declare enum Resource {
    userAdmin = 0,
    timetable = 1,
    cms = 2,
    error = 3,
    hardwareAdmin = 4
}
/**
 * Define user roles
 * visitor - default role of new user, for future usage
 * user - can run timetables
 * editor - user + can create timetables
 * admin - editor + can changes users + see errors
 */
export declare class RolesManager {
    private roles;
    constructor();
    /**
     * Is role allowed to work with resoruce.
     * @param role
     * @param action
     * @param resource
     * @returns boolean
     */
    can(role: Role, action: Action, resource: Resource): boolean;
    /**
     * Has role permissions to more actions on resource
     * @param role
     * @param actionMore
     * @param resource
     * @returns boolean
     */
    canMore(role: Role, actionMore: Action[], resource: Resource): boolean;
}
