import { JourneyDirection } from '../model/Journey';
export declare enum unitInstruction {
    currentDelay = "prodleva_odesilani_zmerenych_proudu",
    powerOn = "zapnuti_zdroje",
    powerOff = "vypnuti_zdroje",
    resetRectifier = "restart_h_mustku",
    resetProcesor = "restart_mikroprocesoru",
    err = "err"
}
export declare enum lightState {
    on = "on",
    off = "off"
}
export interface UnitInstruction {
    unitInstruction: unitInstruction;
    numberOfUnit: number;
    currentDelay?: number;
}
export interface TrainMotion {
    locomotive: string;
    speed: number;
    reverse: JourneyDirection;
    trainId?: number;
}
export interface TrainMotionInstruction {
    trainMotion: TrainMotion;
    section: string;
    waitTime: number;
}
export interface TrainFunction {
    locomotive: string;
    lights: boolean;
    trainId?: number;
}
export interface UnitInfo {
    unitInfo: unitInstruction;
    numberOfUnit: number;
}
export interface OledInfo {
    messages: string[];
}
export interface SectionData {
    current: number;
    occupancy: boolean;
    name: string;
}
export interface OccupancySection {
    sections: SectionData[];
}
export interface TrainPosition {
    t: number;
    p: number | null;
}
export declare type Packets = UnitInstruction | TrainMotion | TrainMotionInstruction | TrainFunction | UnitInfo | OledInfo | OccupancySection | TrainPosition | number;
